require_relative 'lib/andor/version'

Gem::Specification.new do |spec|
  spec.name          = "andor"
  spec.version       = Andor::VERSION
  spec.authors       = ["Noah Gibbs"]
  spec.email         = ["the.codefolio.guy@gmail.com"]

  spec.summary       = %q{Andor is a simple name generator based on an 'And/Or' JSON format.}
  spec.description   = %q{Andor is a simple name generator based on an 'And/Or' JSON format. It includes simple examples of generating random fake movie preview descriptions, 'mad science' compounds and British town names.}
  spec.homepage      = "https://github.com/noahgibbs/andor"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/noahgibbs/andor"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "parslet", "~>2.0.0"
end
